> ## Documentation Index
> Fetch the complete documentation index at: https://ai-api-docs.getbreezyapp.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update company settings



## OpenAPI

````yaml /openapi.public.json put /company-settings
openapi: 3.1.1
info:
  title: Breezy Public API
  version: 1.0.0
  description: Curated Breezy customer API for user JWT and service API key clients.
servers:
  - url: https://ai-api.getbreezyapp.com/api/v1
    description: Production
security:
  - userJwtBearer: []
  - serviceApiKeyBearer: []
tags:
  - name: API Keys
    description: Create, list, reveal, and revoke service API keys.
  - name: Company Settings
    description: Read and update tenant company settings and service zones.
  - name: Contacts
    description: Read contacts and update customer attribution fields.
  - name: Service Requests
    description: Read and triage customer service requests.
  - name: Users
    description: Read public user identity and team user records.
  - name: Webhooks
    description: Create, update, rotate, and delete webhook endpoints.
paths:
  /company-settings:
    put:
      tags:
        - Company Settings
      summary: Update company settings
      operationId: companySettings.save
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                profile:
                  type: object
                  properties:
                    companyName:
                      type: string
                      minLength: 1
                      maxLength: 100
                      description: Company name
                    companyDescription:
                      type: string
                      minLength: 1
                      maxLength: 1000
                      description: Company description
                    primaryPhoneNumber:
                      type: string
                      minLength: 1
                      maxLength: 20
                      description: Primary phone number
                    companyTimezone:
                      type: string
                      minLength: 1
                      maxLength: 100
                      description: Company timezone
                    industries:
                      type: array
                      minItems: 1
                      items:
                        enum:
                          - hvac
                          - electrical
                          - plumbing
                          - appliance_repair
                          - security_services
                          - pest_control
                          - crawl_space_encapsulation
                          - mold_remediation
                        type: string
                      description: Industries
                    companyWebsite:
                      type: string
                      maxLength: 255
                      description: Company website URL
                    facebookUrl:
                      type: string
                      maxLength: 255
                      description: Facebook URL
                    instagramUrl:
                      type: string
                      maxLength: 255
                      description: Instagram URL
                    linkedinUrl:
                      type: string
                      maxLength: 255
                      description: LinkedIn URL
                    logoImageUrl:
                      type: string
                      maxLength: 2048
                      description: Logo image URL
                    publicContactEmail:
                      anyOf:
                        - type: string
                          maxLength: 200
                          format: email
                        - const: ''
                      description: Public contact email
                  required:
                    - companyName
                    - companyDescription
                    - primaryPhoneNumber
                    - companyTimezone
                    - industries
                  description: Company profile update
                jobTypes:
                  type: array
                  items:
                    type: object
                    properties:
                      id:
                        type: string
                        pattern: >-
                          ^[\da-f]{8}-[\da-f]{4}-[\da-f]{4}-[\da-f]{4}-[\da-f]{12}$
                        description: Unique identifier (UUID)
                      enabled:
                        type: boolean
                        default: true
                      name:
                        type: string
                        minLength: 1
                        maxLength: 100
                      customerFacingName:
                        type: string
                        maxLength: 100
                      description:
                        type: string
                        minLength: 1
                        maxLength: 500
                      industry:
                        enum:
                          - hvac
                          - electrical
                          - plumbing
                          - appliance_repair
                          - security_services
                          - pest_control
                          - crawl_space_encapsulation
                          - mold_remediation
                          - unknown
                        type: string
                      jobClass:
                        enum:
                          - maintenance
                          - service_and_repair
                          - installs_and_replacement
                          - sales
                          - inspection
                          - treatment
                          - monitoring_activation
                          - unknown
                        type: string
                    required:
                      - name
                      - description
                      - industry
                      - jobClass
                businessHours:
                  type: object
                  properties:
                    monday:
                      type: object
                      properties:
                        startTime:
                          type: string
                        endTime:
                          type: string
                    tuesday:
                      type: object
                      properties:
                        startTime:
                          type: string
                        endTime:
                          type: string
                    wednesday:
                      type: object
                      properties:
                        startTime:
                          type: string
                        endTime:
                          type: string
                    thursday:
                      type: object
                      properties:
                        startTime:
                          type: string
                        endTime:
                          type: string
                    friday:
                      type: object
                      properties:
                        startTime:
                          type: string
                        endTime:
                          type: string
                    saturday:
                      type: object
                      properties:
                        startTime:
                          type: string
                        endTime:
                          type: string
                    sunday:
                      type: object
                      properties:
                        startTime:
                          type: string
                        endTime:
                          type: string
                  required:
                    - monday
                    - tuesday
                    - wednesday
                    - thursday
                    - friday
                    - saturday
                    - sunday
                notificationPreferences:
                  type: object
                  properties:
                    emailAddresses:
                      type: array
                      items:
                        type: string
                    phoneNumbers:
                      type: array
                      items:
                        type: string
                    serviceRequests:
                      enum:
                        - none
                        - email
                        - sms
                        - email_and_sms
                      type: string
                    customerSupport:
                      enum:
                        - none
                        - email
                        - sms
                        - email_and_sms
                      type: string
                    otherConversations:
                      enum:
                        - none
                        - email
                        - sms
                        - email_and_sms
                      type: string
                    afterHoursRouting:
                      type: object
                      properties:
                        serviceRequests:
                          type: object
                          properties:
                            enabled:
                              type: boolean
                            smsDestinationMode:
                              enum:
                                - on_call_schedule
                                - specific_numbers
                              type: string
                            specificPhoneNumbers:
                              type: array
                              items:
                                type: string
                            emailAddresses:
                              type: array
                              items:
                                type: string
                            recipientMode:
                              enum:
                                - replaced
                                - also_notified
                              type: string
                          required:
                            - enabled
                            - smsDestinationMode
                            - specificPhoneNumbers
                            - emailAddresses
                            - recipientMode
                          additionalProperties: false
                        customerSupport:
                          type: object
                          properties:
                            enabled:
                              type: boolean
                            smsDestinationMode:
                              enum:
                                - on_call_schedule
                                - specific_numbers
                              type: string
                            specificPhoneNumbers:
                              type: array
                              items:
                                type: string
                            emailAddresses:
                              type: array
                              items:
                                type: string
                            recipientMode:
                              enum:
                                - replaced
                                - also_notified
                              type: string
                          required:
                            - enabled
                            - smsDestinationMode
                            - specificPhoneNumbers
                            - emailAddresses
                            - recipientMode
                          additionalProperties: false
                        otherConversations:
                          type: object
                          properties:
                            enabled:
                              type: boolean
                            smsDestinationMode:
                              enum:
                                - on_call_schedule
                                - specific_numbers
                              type: string
                            specificPhoneNumbers:
                              type: array
                              items:
                                type: string
                            emailAddresses:
                              type: array
                              items:
                                type: string
                            recipientMode:
                              enum:
                                - replaced
                                - also_notified
                              type: string
                          required:
                            - enabled
                            - smsDestinationMode
                            - specificPhoneNumbers
                            - emailAddresses
                            - recipientMode
                          additionalProperties: false
                      additionalProperties: false
                  required:
                    - emailAddresses
                    - serviceRequests
                    - customerSupport
                    - otherConversations
                faqs:
                  type: array
                  items:
                    type: object
                    properties:
                      id:
                        type: string
                        pattern: >-
                          ^[\da-f]{8}-[\da-f]{4}-[\da-f]{4}-[\da-f]{4}-[\da-f]{12}$
                        description: Unique identifier (UUID)
                      question:
                        type: string
                        minLength: 1
                        maxLength: 500
                      answer:
                        type: string
                        minLength: 1
                        maxLength: 2000
                      category:
                        enum:
                          - general
                          - services
                          - billing
                          - technical
                        type: string
                        default: general
                    required:
                      - question
                      - answer
                leadSources:
                  type: array
                  items:
                    type: object
                    properties:
                      id:
                        type: string
                        pattern: >-
                          ^[\da-f]{8}-[\da-f]{4}-[\da-f]{4}-[\da-f]{4}-[\da-f]{12}$
                        description: Unique identifier (UUID)
                      name:
                        type: string
                        minLength: 1
                        maxLength: 100
                      archived:
                        type: boolean
                        default: false
                      isExistingCustomerSource:
                        type: boolean
                    required:
                      - name
                      - isExistingCustomerSource
              additionalProperties: false
      responses:
        '204':
          description: OK
          content:
            application/json:
              schema:
                anyOf:
                  - not: {}
                  - not: {}
      security:
        - userJwtBearer: []
        - serviceApiKeyBearer: []
components:
  securitySchemes:
    userJwtBearer:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        User JWT bearer token. User principals can manage API keys and call
        tenant-scoped customer endpoints.
    serviceApiKeyBearer:
      type: http
      scheme: bearer
      bearerFormat: bzy_live_...
      description: >-
        Service API key bearer token beginning with bzy_live_. Service API keys
        use tenant scope and cannot manage API keys or call user-only endpoints.

````